Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.action
Class ReportRtfExporter

    java.lang.Object
      org.springframework.webflow.action.AbstractAction
          org.springframework.webflow.action.MultiAction
              com.jaspersoft.jasperserver.war.action.AbstractReportExporter
                  com.jaspersoft.jasperserver.war.action.ReportRtfExporter

All Implemented Interfaces:
  org.springframework.beans.factory.InitializingBean, org.springframework.webflow.execution.Action

    public class ReportRtfExporter

extends AbstractReportExporter

Version:
  $Id: ReportRtfExporter.java 9885 2007-09-03 16:39:13Z lucian $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Nested Class Summary

Nested classes/interfaces inherited from class org.springframework.webflow.action.MultiAction
`org.springframework.webflow.action.MultiAction.MethodResolver`

Field Summary

Fields inherited from class org.springframework.webflow.action.AbstractAction
`logger`

Constructor Summary
`ReportRtfExporter()`

Method Summary
`void` | `export(org.springframework.webflow.execution.RequestContext context, ExecutionContext executionContext, java.lang.String reportUnitURI, java.util.Map baseParameters)`
`protected java.lang.String` | `getContentType(org.springframework.webflow.execution.RequestContext context)`
`ExportParameters` | `getExportParameters(org.springframework.webflow.execution.RequestContext context)`
`protected void` | `setAdditionalResponseHeaders(org.springframework.webflow.execution.RequestContext context, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class com.jaspersoft.jasperserver.war.action.AbstractReportExporter
`export, exportBuffered, exportToStream, getExecutionContext, getFilename, getFlowAttributeJasperPrintName, getFlowAttributeReportUnitURI, getHttpUtils, getInitialMemoryBufferSize, getJasperPrintAccessor, getMemoryThreshold, getReportName, isSetResponseContentLength, setFlowAttributeJasperPrintName, setFlowAttributeReportUnitURI, setHttpUtils, setInitialMemoryBufferSize, setJasperPrintAccessor, setMemoryThreshold, setSetResponseContentLength`

Methods inherited from class org.springframework.webflow.action.MultiAction
`doExecute, getMethodResolver, setMethodResolver, setTarget`

Methods inherited from class org.springframework.webflow.action.AbstractAction
`afterPropertiesSet, doPostExecute, doPreExecute, error, error, execute, getActionNameForLogging, getEventFactorySupport, initAction, no, result, result, result, result, success, success, yes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportRtfExporter

    public ReportRtfExporter()

Method Detail

### export

    public void export(org.springframework.webflow.execution.RequestContext context,
                       ExecutionContext executionContext,
                       java.lang.String reportUnitURI,
                       java.util.Map baseParameters)
                throws net.sf.jasperreports.engine.JRException

  Specified by:
    `export` in class `AbstractReportExporter`
  Throws:
    `net.sf.jasperreports.engine.JRException`

### getContentType

    protected java.lang.String getContentType(org.springframework.webflow.execution.RequestContext context)

  Specified by:
    `getContentType` in class `AbstractReportExporter`

### setAdditionalResponseHeaders

    protected void setAdditionalResponseHeaders(org.springframework.webflow.execution.RequestContext context,
                                                javax.servlet.http.HttpServletResponse response)

  Overrides:
    `setAdditionalResponseHeaders` in class `AbstractReportExporter`

### getExportParameters

    public ExportParameters getExportParameters(org.springframework.webflow.execution.RequestContext context)

  Specified by:
    `getExportParameters` in class `AbstractReportExporter`
  Returns:
    Returns the exportParameters.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.